Package: org.codehaus.groovy.runtime

## [Java] Class WritableFile

- org.codehaus.groovy.runtime.WritableFile

- All Implemented Interfaces and Traits:
    Writable

      public class WritableFile
      extends File

  A Writable File.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class File` | `separatorChar, separator, pathSeparatorChar, pathSeparator`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WritableFile (File delegate)`
    `WritableFile (File delegate, String encoding)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class File` | `equals, toString, hashCode, compareTo, compareTo, getName, length, getCanonicalPath, getParent, isAbsolute, delete, setReadOnly, list, list, canExecute, canRead, canWrite, createNewFile, createTempFile, createTempFile, deleteOnExit, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getFreeSpace, getParentFile, getPath, getTotalSpace, getUsableSpace, isDirectory, isFile, isHidden, lastModified, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setWritable, setWritable, toPath, toURI, toURL, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public WritableFile(File delegate)

    - #### public WritableFile(File delegate, String encoding)

  - ### Method Detail

    - #### public Writer writeTo(Writer out)